<?php
// On démarre la session AVANT d'écrire du code HTML
// pour les varaibles de session
if (session_status() != PHP_SESSION_ACTIVE)
  session_start();
include 'INCLUDE/MySQL_PDO_transaction_include_sprog_commun_web.php';
include 'INCLUDE/MySQL_PDO_transaction_include_param_dbb.php';
?>
<!DOCTYPE html>
<html>
 <head> <!-- Entête HTML -->
    <meta charset="utf-8" />
    <title>Virement bancaire</title>
	<link href="CSS/virement_formulaire_ajax.css" rel="stylesheet" type="text/css" /> 
 </head>
 <body>
 <?php
 $ERR_TRAIT=false;
 $Num_Cpt_Debit            = $_SESSION['Num_Cpt_Debit']            ;
 $Num_Cpt_Credit           = $_SESSION['Num_Cpt_Credit']           ;
 $Montant_Virement_formate = $_SESSION['Montant_Virement_formate'] ;
 $Montant_Virement         = $_SESSION['Montant_Virement']         ;
 // ---------------------------
 // --- Début du traitement ---
 // ---------------------------   
 // --------------------------------------------------------------
 // Cette page peut être appelée de plusieurs manières différentes
 // --------------------------------------------------------------
 if (!empty($_POST['confirmation_virement']))
 {
  if (isset($_POST['RepVir'])) $ConfirmationVirement = $_POST['RepVir'] ;
  else $ConfirmationVirement = 'non' ;
  if (($ConfirmationVirement == "oui") && (!$_SESSION['virement_effectue']))
  {
   // === on gère le virement  dans une transaction SQL ===
   $virementOK=Virement($Num_Cpt_Debit,$Num_Cpt_Credit,$Montant_Virement);
   // -----------------------------------------------------
   if ($virementOK)
   {
    // --- on affiche le résultat du virement ---
    $Tab_deux_comptes[0]=Info_Compte($Num_Cpt_Debit);
    $Tab_deux_comptes[1]=Info_Compte($Num_Cpt_Credit);
    if (!$ERR_TRAIT)
      Affichage_Liste_Comptes("R&eacute;sultat : Virement de $Montant_Virement_formate, du compte $Num_Cpt_Debit -> le compte $Num_Cpt_Credit",$Tab_deux_comptes);
    $_SESSION['virement_effectue']=true;
   }
  }
  else
  {
   if ($_SESSION['virement_effectue'])
   {
    $TitreMessage="Information virement" ;
    $TexteMessage="Ce virement a d&eacute;j&agrave; &eacute;t&eacute; effectu&eacute; !";
   }
   else
   {
    $TitreMessage="Aucun virement" ;
    $TexteMessage="Aucun virement n'a &eacute;t&eacute;  effectu&eacute; !";
   }
   Affiche_Message_Erreur($TitreMessage,$TexteMessage);
  }
 }
 else
 {
  // --- on affiche le résultat du virement ---
  $Tab_deux_comptes[0]=Info_Compte($Num_Cpt_Debit) ;
  $Tab_deux_comptes[1]=Info_Compte($Num_Cpt_Credit);
  Affichage_Liste_Comptes("Etat des comptes AVANT virement : Virement de $Montant_Virement_formate, du compte $Num_Cpt_Debit -> le compte $Num_Cpt_Credit",$Tab_deux_comptes);
  ?>
  <br/>
  <form action="MySQL_PDO_transaction_secure_prepare_ajax_web.php" method="post">
  <fieldset>
  <legend>Confirmation du virement</legend><br/>
  Merci de confirmer le virement :<br/>
  Oui <input type="radio" name="RepVir" value="oui"> 
  Non <input type="radio" name="RepVir" value="non" checked="checked"> <br/><br/>
  <input type="submit" name="confirmation_virement" value="Confirmer" />
  </fieldset>
  </form>
  <?php
 }
 ?>
 </body>
</html>
